<template>
  <div
    class="ob-static-block"
    :class="containerClass"
    :style="{ width, height }"
  >
    <slot />
  </div>
</template>

<script>
const POSITIONS = {
  TOP: 'top',
  BOTTOM: 'bottom',
  LEFT: 'left',
  RIGHT: 'right',
}
export default {
  name: 'ObStaticBlock',
  props: {
    width: {
      type: String,
      default: '100%'
    },
    height: {
      type: String,
      default: 'auto'
    },
    position: {
      type: String,
      default: POSITIONS.TOP
    }
  },
  data () {
    return {
      parentElement: null,
      pageHeader: document.querySelector('.ob-main-template-header')
    }
  },
  mounted () {
    this.parentElement = this.$el.parentElement
  },
  computed: {
    containerClass () {
      return [
        '--' + this.position
      ]
    }
  }
}
</script>

<style lang="scss" scoped>
  .ob-static-block {
    position: absolute;
    &.--top {
      top: 0;
      left: 0;
      right: 0;
      margin: auto;
    }
  }
</style>
